> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Acs

> SAML Assertion Consumer Service (ACS) endpoint.

Identity Provider POSTs the SAML assertion here after successful authentication.



## OpenAPI

````yaml post /api/v1/auth/saml/acs
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/saml/acs:
    post:
      tags:
        - auth
      summary: Acs
      description: >-
        SAML Assertion Consumer Service (ACS) endpoint.


        Identity Provider POSTs the SAML assertion here after successful
        authentication.
      operationId: acs_api_v1_auth_saml_acs_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_acs_api_v1_auth_saml_acs_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthCallbackResponse'
        '400':
          description: Validation error
        '401':
          description: Inactive user
        '404':
          description: Provider not configured
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_acs_api_v1_auth_saml_acs_post:
      properties:
        SAMLResponse:
          type: string
          title: Samlresponse
        RelayState:
          anyOf:
            - type: string
            - type: 'null'
          title: Relaystate
      type: object
      required:
        - SAMLResponse
      title: Body_acs_api_v1_auth_saml_acs_post
    OAuthCallbackResponse:
      properties:
        token:
          type: string
          title: Token
          description: JWT access token
        refresh_token:
          type: string
          title: Refresh Token
          description: JWT refresh token
        expires_in:
          type: integer
          title: Expires In
          description: Access token expiration time in seconds
        account:
          $ref: '#/components/schemas/AccountResponse'
          description: Account information
        user:
          $ref: >-
            #/components/schemas/snackbase__infrastructure__api__schemas__auth_schemas__UserResponse
          description: User information
        is_new_user:
          type: boolean
          title: Is New User
          description: Whether a new user was created
        is_new_account:
          type: boolean
          title: Is New Account
          description: Whether a new account was created
      type: object
      required:
        - token
        - refresh_token
        - expires_in
        - account
        - user
        - is_new_user
        - is_new_account
      title: OAuthCallbackResponse
      description: Response for successful OAuth callback authentication.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountResponse:
      properties:
        id:
          type: string
          title: Id
          description: Account ID in XX#### format
        slug:
          type: string
          title: Slug
          description: URL-friendly account identifier
        name:
          type: string
          title: Name
          description: Display name for the account
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the account was created
      type: object
      required:
        - id
        - slug
        - name
        - created_at
      title: AccountResponse
      description: Account information in auth responses.
    snackbase__infrastructure__api__schemas__auth_schemas__UserResponse:
      properties:
        id:
          type: string
          title: Id
          description: User ID
        email:
          type: string
          title: Email
          description: User's email address
        role:
          type: string
          title: Role
          description: User's role name
        is_active:
          type: boolean
          title: Is Active
          description: Whether the user is active
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the user was created
      type: object
      required:
        - id
        - email
        - role
        - is_active
        - created_at
      title: UserResponse
      description: User information in auth responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````